Bug 24212 - OPAC send list dialog opens too small in IE
Summary: OPAC send list dialog opens too small in IE
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-11 03:11 UTC by Aleisha Amohia
Modified: 2020-01-15 22:55 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02, 19.05.07


Attachments
Screenshot showing dialog box too small to see contents of window (77.71 KB, image/png)
2019-12-11 03:12 UTC, Aleisha Amohia
Details
Bug 24212: Increase size of OPAC 'send list' dialog box for IE (2.47 KB, patch)
2019-12-11 05:10 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 24212: Increase size of OPAC 'send list' dialog box for IE (2.53 KB, patch)
2019-12-11 20:10 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 24212: Increase size of OPAC 'send list' dialog box for IE (2.58 KB, patch)
2019-12-12 12:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24212: Increase size of OPAC 'send list' dialog box for IE (2.64 KB, patch)
2019-12-22 21:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2019-12-11 03:11:58 UTC
When sending an email list from OPAC in IE, the dialog box that appears is not big enough, nor can it's size be changed.
Comment 1 Aleisha Amohia 2019-12-11 03:12:32 UTC
Created attachment 96175 [details]
Screenshot showing dialog box too small to see contents of window
Comment 2 Aleisha Amohia 2019-12-11 05:10:32 UTC
Created attachment 96176 [details] [review]
Bug 24212: Increase size of OPAC 'send list' dialog box for IE

To test:
1) Create a list and view it in the OPAC (ensure you are using Internet
    Explorer as a browser)
2) Click Send list
3) Notice the dialog box cuts off the content in the window
4) Close the popup, apply the patch
5) Click Send list again
6) Confirm the dialog box shows the entire window

Sponsored-by: Toi Ohomai Institute of Technology
Comment 3 Owen Leonard 2019-12-11 12:56:25 UTC
(In reply to Aleisha Amohia from comment #0)
> nor can it's size be changed.

I think if we're going to change the default size of the popup we should also set resizable to "yes." I would go ahead and set scrollbars to "yes" as well.
Comment 4 Aleisha Amohia 2019-12-11 20:10:34 UTC
Created attachment 96212 [details] [review]
Bug 24212: Increase size of OPAC 'send list' dialog box for IE

To test:
1) Create a list and view it in the OPAC (ensure you are using Internet
    Explorer as a browser)
2) Click Send list
3) Notice the dialog box cuts off the content in the window
4) Close the popup, apply the patch
5) Click Send list again
6) Confirm the dialog box shows the entire window
7) Confirm the box is resizable and has scrollbars

Sponsored-by: Toi Ohomai Institute of Technology
Comment 5 Owen Leonard 2019-12-12 12:55:01 UTC
Created attachment 96216 [details] [review]
Bug 24212: Increase size of OPAC 'send list' dialog box for IE

To test:
1) Create a list and view it in the OPAC (ensure you are using Internet
    Explorer as a browser)
2) Click Send list
3) Notice the dialog box cuts off the content in the window
4) Close the popup, apply the patch
5) Click Send list again
6) Confirm the dialog box shows the entire window
7) Confirm the box is resizable and has scrollbars

Sponsored-by: Toi Ohomai Institute of Technology

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Katrin Fischer 2019-12-22 21:05:56 UTC
Created attachment 96583 [details] [review]
Bug 24212: Increase size of OPAC 'send list' dialog box for IE

To test:
1) Create a list and view it in the OPAC (ensure you are using Internet
    Explorer as a browser)
2) Click Send list
3) Notice the dialog box cuts off the content in the window
4) Close the popup, apply the patch
5) Click Send list again
6) Confirm the dialog box shows the entire window
7) Confirm the box is resizable and has scrollbars

Sponsored-by: Toi Ohomai Institute of Technology

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2020-01-03 16:16:11 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-01-14 00:43:09 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 9 Lucas Gass 2020-01-15 22:22:09 UTC
backported to 19.05.x for 19.05.07
Comment 10 Hayley Mapley 2020-01-15 22:55:50 UTC
Enhancement will not be backported to 18.11.x series.